package com.utopiaindustries.model.ctp;

public class CuttingJobCardItemWrapper {
    private long jobCardId;
    private String poName;
    private String sku;
    private Long total;
    private String width;
    private String length;
    private String gsm;
    private String wtPly;
    private String ply;
    private String articleName;
    private boolean isComplete;
    private String jobCardCode;
    private String operatorName;
    private long accountId;

    public long getJobCardId() {
        return jobCardId;
    }

    public void setJobCardId(long jobCardId) {
        this.jobCardId = jobCardId;
    }

    public String getPoName() {
        return poName;
    }

    public void setPoName(String poName) {
        this.poName = poName;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public String getWidth() {
        return width;
    }

    public void setWidth(String width) {
        this.width = width;
    }

    public String getGsm() {
        return gsm;
    }

    public void setGsm(String gsm) {
        this.gsm = gsm;
    }

    public String getWtPly() {
        return wtPly;
    }

    public void setWtPly(String wtPly) {
        this.wtPly = wtPly;
    }

    public String getPly() {
        return ply;
    }

    public void setPly(String ply) {
        this.ply = ply;
    }

    public String getArticleName() {
        return articleName;
    }

    public void setArticleName(String articleName) {
        this.articleName = articleName;
    }

    public boolean isComplete() {
        return isComplete;
    }

    public void setComplete(boolean complete) {
        isComplete = complete;
    }

    public String getJobCardCode() {
        return jobCardCode;
    }

    public void setJobCardCode(String jobCardCode) {
        this.jobCardCode = jobCardCode;
    }


    public String getLength() {
        return length;
    }

    public void setLength(String length) {
        this.length = length;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public long getAccountId() {
        return accountId;
    }

    public void setAccountId(long accountId) {
        this.accountId = accountId;
    }

    public Long getTotal() {
        return total;
    }

    public void setTotal(Long total) {
        this.total = total;
    }

    @Override
    public String toString() {
        return "CuttingJobCardItemWrapper{" +
                "jobCardId=" + jobCardId +
                ", poName='" + poName + '\'' +
                ", sku='" + sku + '\'' +
                ", total=" + total +
                ", width='" + width + '\'' +
                ", length='" + length + '\'' +
                ", gsm='" + gsm + '\'' +
                ", wtPly='" + wtPly + '\'' +
                ", ply='" + ply + '\'' +
                ", articleName='" + articleName + '\'' +
                ", isComplete=" + isComplete +
                ", jobCardCode='" + jobCardCode + '\'' +
                ", operatorName='" + operatorName + '\'' +
                ", accountId=" + accountId +
                '}';
    }
}
